package com.sct.jdbc;

import java.sql.DriverManager;

public class jdbc_test {
  public static void main(String[] args)throws Exception {
    Driver d = new com.sct.jdbc.Driver();
    DriverManager.registerDriver(d);
    java.sql.Connection c = null;
    java.sql.Statement  s = null;
    try{
      Class.forName("com.sct.jdbc.Driver");
      c = DriverManager.getConnection("jdbc:sct:192.168.5.10", "user", "user");
      {
        java.sql.DatabaseMetaData dmd = c.getMetaData();
        java.sql.ResultSet r = dmd.getTables("sdb", "", "test", null);
        while(r != null && r.next()){
          System.out.print(r.getString(3) + " ");
          System.out.println(r.getString(4));
        }
        r = dmd.getColumns("sdb", "", "test", "id");
        while(r != null && r.next()){
          System.out.print(r.getString(4) + " ");
          System.out.println(r.getString(6));
        }
      }
      s = c.createStatement();
      String sql = "select * from test where first 2;";
      java.sql.ResultSet r = s.executeQuery(sql);
      while(r != null && r.next()){
        System.out.print(r.getInt("id") + " ");
        System.out.print(r.getString("name") + " ");
        System.out.print(r.getDate("dt") + " ");
        System.out.println(r.getFloat("val") + " ");
      }
    } catch( Exception e){
      e.printStackTrace();
    } finally {
      if(s != null){ s.close(); }
      if(c != null){ c.close(); }
    }
  }
}
